(function() {
  'use strict';

  angular
    .module('app')
    .config(routes);

  routes.$inject = ['$stateProvider', '$urlRouterProvider'];

  function routes($stateProvider, $urlRouterProvider) {
    $stateProvider
      .state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'GlobalController as globalCtrl'
      })
      .state('app.home', {
        url: '/home',
        views: {
          'menuContent': {
            templateUrl: 'templates/home.html',
          }
        },
        data: {
          title: "Página Inicial"
        }
      })
      .state('app.denuncia', {
        url: '/denuncia',
        views: {
          'menuContent': {
            templateUrl: 'templates/denuncia.html',
            controller: 'DenunciaController as denunciaCtrl'
          }
        },
        data: {
          title: "Página de Denúncia"
        }
      })
      .state('app.noticias', {
        url: '/noticias',
        views: {
          'menuContent': {
            templateUrl: 'templates/noticias.html',
            controller: 'NoticiasController as noticiasCtrl'
          }
        },
        data: {
          title: "Página de Notícias"
        }
      })
      .state('app.sobre', {
        url: '/sobre',
        views: {
          'menuContent': {
            templateUrl: 'templates/sobre.html',
            controller: 'SobreController as sobreCtrl'
          }
        },
        data: {
          title: "Página Quem Somos"
        }
      })
      .state('app.postos', {
        url: '/postos',
        views: {
          'menuContent': {
            templateUrl: 'templates/postos.html',
            controller: 'PostosController as postosCtrl'
          }
        },
        data: {
          title: "Página de Postos/Endereços"
        }
      })
      .state('app.posto', {
        url: '/postos/{id}',
        views: {
          'menuContent': {
            templateUrl: 'templates/posto.html',
            controller: 'PostoController as postoCtrl'
          }
        },
        data: {
          title: "Página do Posto: "
        }
      })
      .state('app.faq', {
        url: '/faq',
        views: {
          'menuContent': {
            templateUrl: 'templates/faq.html',
            controller: 'FAQController as faqCtrl'
          }
        },
        data: {
          title: "Página de Dúvidas Frequentes"
        }
      });

    $urlRouterProvider.otherwise('app/home');
  }
}());
