(function() {

  'use strict';

  angular
    .module('app')
    .controller('FAQController', FAQController);

  FAQController.$inject = ['$state', '$http'];

  function FAQController($state, $http) {
    var vm = this;

    vm.toggle = toggle;

    activate();

    function activate() {

      vm.faqs = [
        { show: false, id: 1, pergunta: 'O que é o PROCON/BA e como ele atua?', resposta: 'É um órgão administrativo que tem como objetivo informar e orientar os consumidores sobre seus direitos e deveres, bem como auxiliar na resolução dos conflitos provenientes das práticas lesivas adotadas pelos fornecedores, podendo aplicar as penalidades administrativas. Atua ainda como órgão fiscalizador do mercado de consumo, podendo agir de ofício ou após o recebimento de denúncias formuladas e registradas pelos consumidores; bem como desenvolve ações educativas de maneira a orientar a sociedade para um consumo consciente.'},
        { show: false, id: 2, pergunta: 'Como utilizar os serviços do PROCON/BA? O que é necessário para registrar uma reclamação?', resposta: 'Os consumidores devem comparecer aos postos de atendimento localizados em pontos estratégicos da Capital (VER LISTA), e nas unidades móveis, munidos dos documentos que comprovem a relação de consumo com o fornecedor (notas fiscais, recibos, contratos, certificados de garantia, cartas de cobrança, carnês e comprovantes em geral), bem como seu documento de identificação (RG, CPF, CNH), e comprovante de residência, facilitando assim a resolução do problema.'},
        { show: false, id: 3, pergunta: 'Comprei um produto em uma determinada loja e me arrependi, quero cancelar a compra. Tenho esse direito?', resposta: 'O Código de Defesa do Consumidor só garante o direito de arrependimento quando a compra for realizada fora do estabelecimento comercial, principalmente por internet, telefone, dentre outras modalidades à distância, quando o consumidor poderá devolver o produto no prazo de 07 (sete) dias a contar do seu recebimento. No entanto, nas compras realizadas junto às lojas presenciais o direito de arrependimento apenas será obrigatório quando o fornecedor ofertar.'},
        { show: false, id: 4, pergunta: 'Comprei um eletrodoméstico/eletroeletrônico em uma determinada loja e ao chegar em casa notei que estava quebrado e faltando peças. O que devo fazer?', resposta: 'O Código de Defesa do Consumidor lhe garante o direito de exigir a substituição das peças quebradas (o conserto). Assim, sugerimos noticiar o problema aos fornecedores para que estes providenciem a reparação do produto no prazo de 30 dias corridos, sob pena dos fornecedores terem que devolver os valores pagos, corrigidos monetariamente, substituir o produto por outro novo, ou concederem um abatimento proporcional no valor da compra. Vale ressaltar, que os produtos essenciais devem ser trocados imediatamente ou que seja providenciada a restituição imediata da quantia paga.'},
        { show: false, id: 5, pergunta: 'Quais os prazos para reclamar de produtos com problemas de fácil constatação?', resposta: 'O Código de Defesa do Consumidor garante o direito de reclamar em até 30 (trinta) dias para os produtos NÃO duráveis (alimentos, perfumes, entre outros), e de 90 (noventa) dias para os produtos duráveis (televisão, telefone, entre outros).'},
        { show: false, id: 6, pergunta: 'Quando o preço de um produto é ofertado por um valor e o caixa cobra outro, qual o valor que devo pagar?', resposta: 'O Código de Defesa do Consumidor determina que o valor mais favorável ao consumidor seja disponibilizado para pagamento.'},
        { show: false, id: 7, pergunta: 'Comprei um produto, foi estabelecido um determinado prazo de entrega e o fornecedor não cumpriu. Quais são os meus direitos primários?', resposta: 'O Código de Defesa do Consumidor garante obrigatoriedade de cumprimento das ofertas/contratos celebrados entre as partes, devendo o fornecedor responder por eventuais falhas, ou seja, diante desse problema o consumidor poderá exigir o cumprimento forçado da oferta, aceitar a entrega de outro produto equivalente ou cancelar a compra e ter as devidas restituições e eventuais perdas e danos.'},
        { show: false, id: 8, pergunta: 'Fui realizar o pagamento de um boleto no setor de caixas de um determinado banco e o atendimento demorou mais de 30 (trinta) minutos. Qual tempo de atendimento que a lei me garante?', resposta: 'A Lei 5.978/2001 obriga as agências bancárias da capital a prestar, no setor de caixas, atendimento aos usuários em até 15 (quinze) minutos em dias normais e 25 (vinte e cinco) minutos em véspera ou após feriados prolongados.'},
        { show: false, id: 9, pergunta: 'Estou sendo cobrado por uma empresa que não conheço e não tive relação. Devo pagar? Fui negativado.', resposta: 'O Código de Defesa do Consumidor diz que o consumidor cobrado indevidamente terá direito a restituição em dobro DO QUE PAGOU. O pagamento da cobrança não é aconselhável antes da apresentação de uma reclamação ao fornecedor ou deve ser feito, quando possível, para evitar um dano irreversível.  A negativação indevida, quando questionada, deverá ser corrigida em até cinco dias, pelo fornecedor e quando provado o dano, nascerá o direito de reparação moral.'},
        { show: false, id: 10, pergunta: 'Tenho dívidas com fornecedores. Posso negociar com a ajuda do Procon-BA?', resposta: 'Sim, o PROCON-BA possui ferramentas rápidas para a intermediação de conflitos entre fornecedores e consumidores.'},
        { show: false, id: 11, pergunta: 'Quais os principais cuidados que devo tomar na compra de alimentos?', resposta: 'São de extrema importância a verificação do prazo de validade dos produtos, o acondicionamento dos perecíveis, a rotulagem, a manipulação dos ofertantes e a higienização do local de exposição.'},
        { show: false, id: 12, pergunta: 'Determinado comerciante diferencia valores entre o pagamento com cartão de crédito e dinheiro. Isso é permitido?', resposta: 'Não, oferecer desconto para pagamento em dinheiro ou cheque e cobrar valor diferenciado para pagamento com cartão de crédito pelo mesmo produto ou serviço é uma prática abusiva.'},
        { show: false, id: 13, pergunta: 'Quais os cuidados necessários a serem observados nas promoções?', resposta: 'É importante ficar atento ao que se quer comprar ou contratar, conhecer as condições dessa compra ou contratação e observar a forma como o produto ou serviço é ofertado no mercado em geral.'},
        { show: false, id: 14, pergunta: 'As lojas podem se recusar a trocar mercadorias em promoção?', resposta: 'O Código de Defesa do Consumidor não diferencia a troca de produtos em promoção, aplicando-se assim os mesmos direitos previsto para qualquer produto que tenha sido adquirido pelo consumidor no estabelecimento comercial. A troca por motivos de gosto, preferência ou ajuste do presente é uma liberalidade do fornecedor.'},
        { show: false, id: 15, pergunta: 'O que é garantia estendida?', resposta: 'É um contrato de seguro (Seguro de Garantia Estendida), de contratação NÃO OBRIGATÓRIA, o qual consiste na manutenção do produto adquirido após o vencimento da garantia legal (90 dias) ou garantia contratual (prazo estipulado pelo fabricante). Nessa modalidade, o consumidor deverá ficar atento para os termos da garantia e ler atentamente o contrato antes de assiná-lo, verificando se a garantia estendia atenderá as suas necessidades.'},
        { show: false, id: 16, pergunta: 'Meu voo foi cancelado, e agora? Como devo proceder?', resposta: 'Se houver o cancelamento de voo, embarque posterior ao horário previsto, ou o atraso for superior a quatro horas (caso a empresa já tenha a estimativa de que o voo atrasará esse tempo), a companhia aérea deverá oferecer ao passageiro, além da assistência material, opções de reacomodação ou reembolso.'},
        { show: false, id: 17, pergunta: 'Quais os principais cuidados que o consumidor deve observar para as compras via Internet?', resposta: 'O consumidor deve sempre buscar informações sobre o site desejado, tanto nos órgãos de defesa, como através de terceiros que já tenham efetuado compras nos mesmos. No momento da compra, deve observar se há informações quanto ao endereço físico, CNPJ e razão social da empresa, exigir a nota fiscal eletrônica, bem como salvar todas as telas que comprovem a realização de suas transações.'}
      ];

    }

    function toggle(faq) {
      faq.show = !faq.show;
    }
  }

})();
