(function() {

  'use strict';

  angular
    .module('app')
    .controller('GlobalController', GlobalController);

  GlobalController.$inject = ['$cordovaDialogs', '$cordovaNetwork', '$state', '$http', '$ionicHistory'];

  function GlobalController($cordovaDialogs, $cordovaNetwork, $state, $http, $ionicHistory) {
    var vm = this;

    vm.goIfOnline = goIfOnline;

    activate();

    function activate() {

    }

    function goIfOnline(state, keepHistory) {
      if( ionic.Platform.isWebView() ) {
        if($cordovaNetwork.isOnline() ) {
          goToState(state, keepHistory);
        } else {
          $cordovaDialogs.alert('Seu dispositivo está desconectado da internet.', 'Sem Conexão', 'Ok')
            .then(function() {
              $state.go(GlobalService.initialState);
            });
        }
      } else {
        goToState(state, keepHistory);
      }
    }

    function goToState(state, keepHistory) {
      $ionicHistory.nextViewOptions({
        historyRoot: !keepHistory
      });
      $state.go(state);
    }
  }

})();
