(function() {

  'use strict';

  angular
    .module('app')
    .controller('NoticiasController', NoticiasController)
    .directive('loadObjectId', loadObjectId);

  NoticiasController.$inject = ['$window','$timeout', '$scope', '$state', '$http', 'GlobalService', '$ionicLoading', '$sce', '$stateParams'];

  function NoticiasController($window, $timeout, $scope, $state, $http, GlobalService, $ionicLoading, $sce, $stateParams) {
    var vm = this;

    vm.openFacebookLink = openFacebookLink;

    activate();

    function activate() {
      $ionicLoading.show({ template: 'Carregando...' });

      var accessToken = "access_token=" + GlobalService.facebookAccessToken;
      var fields = "&fields=id,name,picture,full_picture,message,description,created_time,object_id,permalink_url,link,type&limit=30";

      $http.get("https://graph.facebook.com/proconbahia/feed?" + accessToken + fields).then(function(response) {
        vm.noticias = response.data.data;
        $ionicLoading.hide();
      });
    }

    function openFacebookLink(noticia) {
      window.open(noticia.permalink_url, '_system', 'location=no');
    }
  }

  loadObjectId.$inject = ['$http','$sce'];

  function loadObjectId($http, $sce) {
    var directive = {
      link: link,
      template: '<div ng-bind-html="embed_html"></div>',
      restrict: 'E',
      scope: {
        feed: '=feed'
      }
    };

    function link(scope) {
      if (scope.feed.type == "video") {
        scope.embed_html = $sce.trustAsHtml('<iframe id="facebook-video" src="https://www.facebook.com/video/embed?video_id='+scope.feed.object_id+' width="100%" frameborder="0"></iframe>');
      }
    }

    return directive;
  }
})();
