(function() {

  'use strict';

  angular
    .module('app')
    .controller('PostoController', PostoController);

  PostoController.$inject = ['$window', '$scope', '$state', '$stateParams', 'PostosService'];

  function PostoController($window, $scope, $state, $stateParams, PostosService) {
    var vm = this;

    vm.goToMap = goToMap;

    activate();

    $scope.$on( "$ionicView.enter", function( scopes, states ) {
      if(typeof $window.analytics !== "undefined")
        $window.analytics.trackView($state.$current.data.title + " " + PostosService.findById($stateParams.id).nome);
    });

    function activate() {
      vm.posto = PostosService.findById($stateParams.id);
    }

    function goToMap() {
      $window.open('http://maps.google.com/maps?q=' + vm.posto.latitude + ',' + vm.posto.longitude, '_system', 'location=no');
    }
  }

})();
