(function() {

  'use strict';

  angular
    .module('app')
    .factory('PostosService', PostosService);

  PostosService.$inject = ['$filter'];

  function PostosService($filter) {
    var service = {
      all: all,
      findById: findById
    };

    var postos = [
      { id: 1, latitude: -13.866480, longitude: -40.062561, distribuicaoSenhas: "a partir das 7h", esfera: "estadual", telefone: "", nome: "SAC Jequié", endereco: "Rua Itália, 20 – Centro", horario: "08h às 18h (Segunda a Sexta)" },
      { id: 2, latitude: -12.906062, longitude: -38.398375, distribuicaoSenhas: "a partir das 6:30h", esfera: "estadual", telefone: "", nome: "SAC Cajazeiras", endereco: "Estrada do Coqueiro Grande, S/Nº – Faz Grande 03", horario: "08h às 15:30h - (Segunda  a Sexta)" },
      { id: 3, latitude: -12.866974, longitude: -38.476790, distribuicaoSenhas: "a partir das 6h", esfera: "estadual", telefone: "", nome: "SAC Periperi", endereco: "Rua Edmundo Bispo, S/N° – Shopping Center Periperi – Sala 104 – 1º Andar", horario: "07h às 15:30h (Segunda  a sexta)"  },
      { id: 4, latitude: -12.967656, longitude: -38.510361, distribuicaoSenhas: "a partir das 7h", esfera: "estadual", telefone: "", nome: "SAC Comércio", endereco: "Av. da França, S/Nº – 1º Andar", horario: "07h às 15:30h (Segunda a Sexta)" },
      { id: 5, latitude: -13.007055, longitude: -38.524975, distribuicaoSenhas: "a partir das 7h", esfera: "estadual", telefone: "", nome: "SAC Shopping da Barra", endereco: "Av. Centenário, 2992 – Sobreloja – 1º Piso – Chame-Chame", horario: "08h às 18h (Segunda a Sexta) e 07h às 13h (Sábado)" },
      { id: 6, latitude: -12.978133, longitude: -38.454891, distribuicaoSenhas: "", esfera: "estadual", telefone: "0800 071 5353, 4020.5353 ou www.sac.ba.gov.br", nome: "SAC Salvador Shopping", endereco: "Av. Tancredo Neves, 2915 – Caminho das Árvores – Estacionamento G2", horario: "09h às 20h (Segunda a Sexta) e 09h às 16h (sábado)" },
      { id: 7, latitude: -12.969599, longitude: -38.474437, distribuicaoSenhas: "a partir das 7h", esfera: "estadual", telefone: "", nome: "SAC Shopping Bela Vista", endereco: "Piso L.1, Alameda Euvaldo Luz, 92", horario: "08h às 18h (Segunda a Sexta) e 08h às 13h (Sábado)" },
      { id: 8, latitude: -12.983122, longitude: -38.516942, distribuicaoSenhas: "a partir das 7h", esfera: "estadual", telefone: "", nome: "Procon Central", endereco: "Rua Carlos Gomes, 746 – Centro", horario: "08h às 18h (Segunda a sexta)" },
      { id: 9, latitude: -12.941581, longitude: -38.449418, distribuicaoSenhas: "a partir das 7:30h", esfera: "estadual", telefone: "", nome: "Casa da Cidadania", endereco: "Rua Direta do Tancredo Neves, Caminho 04, Beiru Salvador/BA", horario: "08:30h às 17h (Segunda a Sexta)" },
      { id: 10, latitude: -12.910993, longitude: -38.331949, distribuicaoSenhas: "a partir das 8h", esfera: "estadual", telefone: "", nome: "Aeroporto Internacional Dep. Luis Eduardo Magalhães", endereco: "Saguão de Desembarque - Térreo", horario: "08h às 18h (Segunda a Sexta)" },
      { id: 11, latitude: -12.951993, longitude: -38.498690, distribuicaoSenhas: "", esfera: "estadual", telefone: "0800 071 5353, 4020.5353 ou www.sac.ba.gov.br", nome: "SAC Liberdade", endereco: "Estrada da Liberdade, 405 – Shopping Liberdade – 2º Piso", horario: "09h às 16:30h (Segunda a sexta)" },
      { id: 12, latitude: -12.975453, longitude: -38.512950, distribuicaoSenhas: "", esfera: "municipal", telefone: "156 Disque Denúncia", nome: "Coordenação de Defesa do Consumidor ", endereco: "Rua Chile, 03, Edf. Santa Casa de Misericórdia", horario: "" },
      { id: 13, latitude: -12.260547, longitude: -38.961271, distribuicaoSenhas: "", esfera: "municipal", telefone: "(75) 3603-2800", nome: "Procon Municipal de Feira de Santana", endereco: "Rua Castro Alves, 635 - Centro / Feira de Santana - BA", horario: "" },
      { id: 14, latitude: -14.789189, longitude: -39.275520, distribuicaoSenhas: "", esfera: "municipal", telefone: "(73) 3613-5210", nome: "Procon Municipal de Itabuna", endereco: "Rua Ruffo Galvão, nº19 – Centro ", horario: "" },
      { id: 15, latitude: -14.849924, longitude: -40.836634, distribuicaoSenhas: "", esfera: "municipal", telefone: "(77) 3429-7852", nome: "Procon Municipal de Vitória da Conquista", endereco: "Praça Virgílio Ferraz, 86 – Centro", horario: "" },
      { id: 16, latitude: -15.247256, longitude: -40.250878, distribuicaoSenhas: "", esfera: "municipal", telefone: "(77) 3261-8359", nome: "Procon Municipal de Itapetinga", endereco: "Rua Maria Quitéria, 34 - Centro - Itapetinga / BA", horario: "" },
      { id: 17, latitude: -9.410434, longitude: -40.508170, distribuicaoSenhas: "", esfera: "municipal", telefone: "(74) 3613-4523", nome: "Procon Municipal de Juazeiro", endereco: "Rua José Petitinga, 253, próximo ao Centro de Cultura João Gilberto - Centro", horario: "" },
      { id: 18, latitude: -12.971266, longitude: -39.260816, distribuicaoSenhas: "", esfera: "municipal", telefone: "(77) 3613-9576 / 3613-9579", nome: "Procon Municipal de Barreiras", endereco: "Praça Duque de Caxias, 159 - Centro - Barreiras / BA", horario: "" },
      { id: 19, latitude: -12.090251, longitude: -45.790171, distribuicaoSenhas: "", esfera: "municipal", telefone: "(77) 3628-9000", nome: "Procon Municipal de Luis Eduardo Magalhães", endereco: "Avenida Barreiras, 825, Centro Administrativo - Luis Eduardo Magalhães / BA", horario: "" },
    ];

    function all() {
      return postos;
    }

    function findById(id) {
      var restult = $filter('filter')(postos, {id: id});
      return (restult.length > 0) ? restult[0] : null;
    }

    return service;
  }

})();
