(function() {

  'use strict';

  angular
    .module('app')
    .factory('ToastService', ToastService);

  ToastService.$inject = ['$cordovaToast', '$ionicLoading'];

  function ToastService($cordovaToast, $ionicLoading) {
    var service = {
      show: show
    };

    function show(message) {
      if(ionic.Platform.isWebView()) {
        $cordovaToast.showShortBottom(message);
      } else {
        $ionicLoading.show({ template: message, noBackdrop: true, duration: 2000 });
      }
    }

    return service;
  }

})();
